Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 812059 - Review Request: python-tw2-jqplugins-flot - jQuery flot (plotting) for ToscaWidgets2
Summary: Review Request: python-tw2-jqplugins-flot - jQuery flot (plotting) for ToscaW...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 811739 811759
Blocks: 818293
TreeView+ depends on / blocked
 
Reported: 2012-04-12 16:15 UTC by Ralph Bean
Modified: 2014-11-13 16:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-26 07:58:29 UTC
Type: ---
michel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-04-12 16:15:43 UTC
Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-flot.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-flot-2.0.0-1.fc17.src.rpm
Description:
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

flot is a pure Javascript plotting library for jQuery. It produces graphical
plots of arbitrary datasets on-the-fly client-side.

This module, tw2.jqplugins.flot, provides toscawidgets2 (tw2) access
to flot widgets.

----

This packages depends on the following two which are currently up for review:

 - python-tw2-excanvas - https://bugzilla.redhat.com/show_bug.cgi?id=811759
 - python-tw2-jqplugins-ui - https://bugzilla.redhat.com/show_bug.cgi?id=811739

Comment 1 Ralph Bean 2012-05-02 23:47:59 UTC
New upstream version fixes test suite.  New release cleans up the buildroot stuff.

Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-flot.spec
SRPM URL:
http://threebean.org/rpm/python-tw2-jqplugins-flot-2.0.1-2.fc17.src.rpm

Comment 2 Ralph Bean 2012-05-03 13:12:07 UTC
A question came up in #fedora-devel as to whether or not we can bundle javascript intended to be served by a web app.  There is an explicit exemption in the packaging guidelines making this "OK".

http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries

Comment 3 Michel Alexandre Salim 2012-05-04 10:20:13 UTC
Taking this review

Comment 4 Michel Alexandre Salim 2012-05-05 06:41:00 UTC
Same as -gritter -- directory ownership needs fixing


* TODO Review [90%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
  sha256sum ./tw2.jqplugins.flot-2.0.1.tar.gz ~/rpmbuild/SOURCES/tw2.jqplugins.flot-2.0.1.tar.gz 
  c155703bfd1471b67558e181d41d2065900c56682d81f0cf2ed43b165e65c95e  ./tw2.jqplugins.flot-2.0.1.tar.gz
  c155703bfd1471b67558e181d41d2065900c56682d81f0cf2ed43b165e65c95e  /home/michel/rpmbuild/SOURCES/tw2.jqplugins.flot-2.0.1.tar.gz

  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    Harmless spellcheck "warnings" on both RPMs
    - [X] on src.rpm
      $ rpmlint /var/lib/mock/fedora-17-x86_64/result/python-tw2-jqplugins-flot-2.0.1-2.fc17.src.rpm  
      python-tw2-jqplugins-flot.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
      python-tw2-jqplugins-flot.src: W: summary-not-capitalized C jQuery flot (plotting) for ToscaWidgets2
      python-tw2-jqplugins-flot.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
      python-tw2-jqplugins-flot.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
      1 packages and 0 specfiles checked; 0 errors, 4 warnings.
    - [X] on x86_64.rpm
      $ rpmlint /var/lib/mock/fedora-17-x86_64/result/python-tw2-jqplugins-flot-2.0.1-2.fc17.noarch.rpm
      python-tw2-jqplugins-flot.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
      python-tw2-jqplugins-flot.noarch: W: summary-not-capitalized C jQuery flot (plotting) for ToscaWidgets2
      python-tw2-jqplugins-flot.noarch: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
      python-tw2-jqplugins-flot.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
      1 packages and 0 specfiles checked; 0 errors, 4 warnings.
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [-] Build [2/3]
    - [X] Koji results
      local mock in lieue of Koji
    - [X] BRs complete
    - [ ] Directory ownership
      The wildcard makes this package also owns the following, which
      should be owned by packages it depend on:
      %{python_sitelib}/tw2
      %{python_sitelib}/tw2/jqplugins

      Perhaps change this to:
      %{python_sitelib}/tw2.jqplugins.flot*
      %{python_sitelib}/tw2/jqplugins/flot
  - [X] Spec inspection [5/5]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] Macro usage consistent
      note that you can just use 0%{?rhel} rather than
      %{?rhel}%{!?rhel:0}

Comment 5 Ralph Bean 2012-05-07 17:32:52 UTC
Fixes to directory ownership.  Thanks!

Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-flot.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-flot-2.0.1-3.fc17.src.rpm

Comment 6 Michel Alexandre Salim 2012-05-08 10:40:41 UTC
Everything looks good -- APPROVED

Comment 7 Ralph Bean 2012-05-08 21:16:34 UTC
New Package SCM Request
=======================
Package Name: python-tw2-jqplugins-flot
Short Description: jQuery flot (plotting) for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:

Comment 8 Ralph Bean 2012-05-08 21:16:45 UTC
Thanks for the reviews!

Comment 9 Gwyn Ciesla 2012-05-09 12:31:43 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-05-09 18:55:16 UTC
python-tw2-jqplugins-flot-2.0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-flot-2.0.1-3.fc17

Comment 11 Fedora Update System 2012-05-09 19:06:29 UTC
python-tw2-jqplugins-flot-2.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-flot-2.0.1-3.el6

Comment 12 Fedora Update System 2012-05-10 20:39:07 UTC
python-tw2-jqplugins-flot-2.0.1-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-05-26 07:58:29 UTC
python-tw2-jqplugins-flot-2.0.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2012-05-26 22:07:39 UTC
python-tw2-jqplugins-flot-2.0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Ralph Bean 2014-11-13 03:52:55 UTC
Package Change Request
======================
Package Name: python-tw2-jqplugins-flot
New Branches: epel7
Owners: ralph
InitialCC:

Comment 16 Gwyn Ciesla 2014-11-13 16:36:52 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.